###################################################
### chunk number 1: bus
###################################################
#line 18 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpKrcMbj/R.INSTALLdef57c7/BUS/inst/doc/bus.rnw"
options(keep.source = TRUE, width = 60)
bus <- packageDescription("BUS")


###################################################
### chunk number 2: association.genes
###################################################
#line 136 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpKrcMbj/R.INSTALLdef57c7/BUS/inst/doc/bus.rnw"
library(BUS)
library(minet)
data(copasi)
mat=as.matrix(copasi)[1:5,]
rownames(mat)<-paste("G",1:nrow(mat), sep="")
BUS(EXP=mat,measure="MI",n.replica=400,net.trim="aracne",thresh=0.05,nflag=1)


###################################################
### chunk number 3: association.genes.traits
###################################################
#line 168 "E:/biocbld/bbs-2.7-bioc/tmpdir/RtmpKrcMbj/R.INSTALLdef57c7/BUS/inst/doc/bus.rnw"
data(tumors.mRNA)
exp<- as.matrix(tumors.mRNA)[11:15,]
rownames(exp)<-rownames(tumors.mRNA)[11:15]
data(tumors.miRNA)
trait<- as.matrix(tumors.miRNA)[11:15,]
rownames(trait)<-rownames(tumors.miRNA)[11:15]
BUS(EXP=exp,trait=trait,measure="MI",nflag=2)


